[arch-commits] Commit in enchant/trunk (PKGBUILD hspell-dictnum.patch)

Jan de Groot jgc at archlinux.org
Sat May 3 16:35:23 EDT 2008


    Date: Saturday, May 3, 2008 @ 16:35:23
  Author: jgc
Revision: 1268

upgpkg: enchant 1.4.1-2
    Fix segfault in hspell backend. Make hspell optional again, hebrew users should install it to get the dictionary

Added:
  enchant/trunk/hspell-dictnum.patch
Modified:
  enchant/trunk/PKGBUILD

----------------------+
 PKGBUILD             |   12 ++++++++----
 hspell-dictnum.patch |   11 +++++++++++
 2 files changed, 19 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-05-03 04:20:25 UTC (rev 1267)
+++ PKGBUILD	2008-05-03 20:35:23 UTC (rev 1268)
@@ -2,18 +2,22 @@
 # Maintainer: dorphell <dorphell at archlinux.org>
 pkgname=enchant
 pkgver=1.4.1
-pkgrel=1
+pkgrel=2
 pkgdesc="A wrapper library for generic spell checking"
 arch=(i686 x86_64)
 license=('LGPL')
-depends=('aspell' 'dbus-glib>=0.74' 'hunspell>=1.2.2' 'hspell>=1.0-2')
+depends=('aspell' 'dbus-glib>=0.74' 'hunspell>=1.2.2')
+makedepends=('hspell')
 options=(!libtool)
-source=(http://www.abisource.com/downloads/enchant/${pkgver}/${pkgname}-${pkgver}.tar.gz)
+source=(http://www.abisource.com/downloads/enchant/${pkgver}/${pkgname}-${pkgver}.tar.gz
+	hspell-dictnum.patch)
 url="http://www.abisource.com/enchant/"
-md5sums=('8d309d2fb39a0f5fd2aa564446cb8d62')
+md5sums=('8d309d2fb39a0f5fd2aa564446cb8d62'
+	 '85697b05efe674e3196cefcc09a7d29b')
 
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
+  patch -Np0 -i ${startdir}/src/hspell-dictnum.patch || return 1
   ./configure --prefix=/usr --disable-static || return 1
   make || return 1
   make DESTDIR=${startdir}/pkg install || return 1

Added: hspell-dictnum.patch
===================================================================
--- hspell-dictnum.patch	                        (rev 0)
+++ hspell-dictnum.patch	2008-05-03 20:35:23 UTC (rev 1268)
@@ -0,0 +1,11 @@
+--- src/hspell/hspell_provider.c.orig	2008-05-03 20:02:26.000000000 +0000
++++ src/hspell/hspell_provider.c	2008-05-03 19:58:17.000000000 +0000
+@@ -235,7 +235,7 @@
+ 	dictionary_path = hspell_get_dictionary_path();
+ 	
+ 	if(dictionary_path && *dictionary_path && g_file_test (dictionary_path, G_FILE_TEST_EXISTS)) {
+-		*out_n_dicts = 2;
++		*out_n_dicts = 1;
+ 		
+ 		out_list = g_new0 (char *, 2);
+ 		





More information about the arch-commits mailing list